aboutsummaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
Diffstat (limited to 'etc')
-rw-r--r--etc/Makefile6
-rw-r--r--etc/etc.amd64/ttys2
-rw-r--r--etc/etc.i386/ttys2
-rw-r--r--etc/etc.ia64/ttys49
-rw-r--r--etc/mtree/BSD.include.dist4
-rw-r--r--etc/mtree/BSD.root.dist4
-rw-r--r--etc/mtree/BSD.tests.dist48
-rw-r--r--etc/mtree/BSD.usr.dist12
-rw-r--r--etc/mtree/BSD.var.dist2
-rw-r--r--etc/network.subr42
-rw-r--r--etc/newsyslog.conf3
-rw-r--r--etc/sendmail/freebsd.mc1
-rw-r--r--etc/sendmail/freebsd.submit.mc1
-rw-r--r--etc/snmpd.config5
14 files changed, 80 insertions, 101 deletions
diff --git a/etc/Makefile b/etc/Makefile
index 03edb13d6164..054b2d669eef 100644
--- a/etc/Makefile
+++ b/etc/Makefile
@@ -174,7 +174,10 @@ afterinstall:
.endif
distribute:
- ${_+_}cd ${.CURDIR} ; ${MAKE} install DESTDIR=${DISTDIR}/${DISTRIBUTION}
+ # Avoid installing tests here; "make distribution" will do this and
+ # correctly place them in the right location.
+ ${_+_}cd ${.CURDIR} ; ${MAKE} MK_TESTS=no install \
+ DESTDIR=${DISTDIR}/${DISTRIBUTION}
${_+_}cd ${.CURDIR} ; ${MAKE} distribution DESTDIR=${DISTDIR}/${DISTRIBUTION}
.include <bsd.endian.mk>
@@ -237,7 +240,6 @@ distribution:
${_+_}cd ${.CURDIR}/periodic; ${MAKE} install
${_+_}cd ${.CURDIR}/pkg; ${MAKE} install
${_+_}cd ${.CURDIR}/rc.d; ${MAKE} install
- ${_+_}cd ${.CURDIR}/../gnu/usr.bin/send-pr; ${MAKE} etc-gnats-freefall
${_+_}cd ${.CURDIR}/../share/termcap; ${MAKE} etc-termcap
${_+_}cd ${.CURDIR}/../usr.sbin/rmt; ${MAKE} etc-rmt
${_+_}cd ${.CURDIR}/pam.d; ${MAKE} install
diff --git a/etc/etc.amd64/ttys b/etc/etc.amd64/ttys
index 42fa7c04ba79..8268df3e994d 100644
--- a/etc/etc.amd64/ttys
+++ b/etc/etc.amd64/ttys
@@ -41,7 +41,7 @@ ttyv7 "/usr/libexec/getty Pc" xterm on secure
ttyv8 "/usr/local/bin/xdm -nodaemon" xterm off secure
# Serial terminals
# The 'dialup' keyword identifies dialin lines to login, fingerd etc.
-ttyu0 "/usr/libexec/getty std.9600" dialup off secure
+ttyu0 "/usr/libexec/getty 3wire" vt100 onifconsole secure
ttyu1 "/usr/libexec/getty std.9600" dialup off secure
ttyu2 "/usr/libexec/getty std.9600" dialup off secure
ttyu3 "/usr/libexec/getty std.9600" dialup off secure
diff --git a/etc/etc.i386/ttys b/etc/etc.i386/ttys
index 42fa7c04ba79..8268df3e994d 100644
--- a/etc/etc.i386/ttys
+++ b/etc/etc.i386/ttys
@@ -41,7 +41,7 @@ ttyv7 "/usr/libexec/getty Pc" xterm on secure
ttyv8 "/usr/local/bin/xdm -nodaemon" xterm off secure
# Serial terminals
# The 'dialup' keyword identifies dialin lines to login, fingerd etc.
-ttyu0 "/usr/libexec/getty std.9600" dialup off secure
+ttyu0 "/usr/libexec/getty 3wire" vt100 onifconsole secure
ttyu1 "/usr/libexec/getty std.9600" dialup off secure
ttyu2 "/usr/libexec/getty std.9600" dialup off secure
ttyu3 "/usr/libexec/getty std.9600" dialup off secure
diff --git a/etc/etc.ia64/ttys b/etc/etc.ia64/ttys
deleted file mode 100644
index 6ddc77759cac..000000000000
--- a/etc/etc.ia64/ttys
+++ /dev/null
@@ -1,49 +0,0 @@
-#
-# $FreeBSD$
-# @(#)ttys 5.1 (Berkeley) 4/17/89
-#
-# This file specifies various information about terminals on the system.
-# It is used by several different programs. Common entries for the
-# various columns include:
-#
-# name The name of the terminal device.
-#
-# getty The program to start running on the terminal. Typically a
-# getty program, as the name implies. Other common entries
-# include none, when no getty is needed, and xdm, to start the
-# X Window System.
-#
-# type The initial terminal type for this port. For hardwired
-# terminal lines, this will contain the type of terminal used.
-# For virtual consoles, the correct type is typically xterm.
-# Other common values include dialup for incoming modem ports, and
-# unknown when the terminal type cannot be predetermined.
-#
-# status Must be on or off. If on, init will run the getty program on
-# the specified port. If the word "secure" appears, this tty
-# allows root login.
-#
-# name getty type status comments
-#
-# If console is marked "insecure", then init will ask for the root password
-# when going to single-user mode.
-console none unknown off secure
-#
-ttyv0 "/usr/libexec/getty Pc" xterm off secure
-# Virtual terminals
-ttyv1 "/usr/libexec/getty Pc" xterm off secure
-ttyv2 "/usr/libexec/getty Pc" xterm off secure
-ttyv3 "/usr/libexec/getty Pc" xterm off secure
-ttyv4 "/usr/libexec/getty Pc" xterm off secure
-ttyv5 "/usr/libexec/getty Pc" xterm off secure
-ttyv6 "/usr/libexec/getty Pc" xterm off secure
-ttyv7 "/usr/libexec/getty Pc" xterm off secure
-ttyv8 "/usr/local/bin/xdm -nodaemon" xterm off secure
-# Serial terminals. The 'dialup' keyword identifies dialin lines to login,
-# fingerd etc.
-ttyu0 "/usr/libexec/getty 3wire" vt100 on secure
-ttyu1 "/usr/libexec/getty 3wire" vt100 on secure
-ttyu2 "/usr/libexec/getty std.9600" dialup off secure
-ttyu3 "/usr/libexec/getty std.9600" dialup off secure
-# Dumb console
-dcons "/usr/libexec/getty std.9600" vt100 off secure
diff --git a/etc/mtree/BSD.include.dist b/etc/mtree/BSD.include.dist
index 9394a4bed7ee..3462d7ed9b95 100644
--- a/etc/mtree/BSD.include.dist
+++ b/etc/mtree/BSD.include.dist
@@ -92,7 +92,7 @@
..
..
clang
- 3.4
+ 3.4.1
..
..
crypto
@@ -162,6 +162,8 @@
..
..
fs
+ cuse
+ ..
devfs
..
fdescfs
diff --git a/etc/mtree/BSD.root.dist b/etc/mtree/BSD.root.dist
index d1617c645a6c..44620132499a 100644
--- a/etc/mtree/BSD.root.dist
+++ b/etc/mtree/BSD.root.dist
@@ -34,14 +34,14 @@
..
dma
..
- gnats
- ..
gss
..
mail
..
mtree
..
+ newsyslog.conf.d
+ ..
ntp mode=0700
..
pam.d
diff --git a/etc/mtree/BSD.tests.dist b/etc/mtree/BSD.tests.dist
index 2e6d30afa0cb..4d6f18a287e5 100644
--- a/etc/mtree/BSD.tests.dist
+++ b/etc/mtree/BSD.tests.dist
@@ -12,8 +12,6 @@
..
..
share
- aclocal
- ..
atf
..
doc
@@ -23,6 +21,8 @@
..
tests
bin
+ chown
+ ..
date
..
mv
@@ -90,6 +90,10 @@
atf
atf-check
..
+ atf-sh
+ ..
+ ..
+ rtld-elf
..
..
sbin
@@ -129,25 +133,7 @@
usr.bin
apply
..
- atf
- atf-sh
- ..
- ..
- calendar
- ..
- comm
- ..
- file2c
- ..
- join
- ..
- jot
- ..
- lastcomm
- ..
- m4
- ..
- make
+ bmake
archives
fmt_44bsd
..
@@ -245,6 +231,20 @@
..
..
..
+ calendar
+ ..
+ comm
+ ..
+ file2c
+ ..
+ join
+ ..
+ jot
+ ..
+ lastcomm
+ ..
+ m4
+ ..
ncal
..
printf
@@ -255,6 +255,10 @@
..
tr
..
+ truncate
+ ..
+ units
+ ..
uudecode
..
uuencode
@@ -262,6 +266,8 @@
xargs
..
yacc
+ yacc
+ ..
..
..
usr.sbin
diff --git a/etc/mtree/BSD.usr.dist b/etc/mtree/BSD.usr.dist
index ff8b96faae57..084850014d04 100644
--- a/etc/mtree/BSD.usr.dist
+++ b/etc/mtree/BSD.usr.dist
@@ -101,6 +101,10 @@
..
include
..
+ includes
+ include
+ ..
+ ..
..
bsdinstall
..
@@ -297,8 +301,6 @@
..
csh
..
- cvsup
- ..
diskless
..
dma
@@ -1404,6 +1406,12 @@
catalog
..
..
+ vt
+ fonts
+ ..
+ keymaps
+ ..
+ ..
zoneinfo
Africa
..
diff --git a/etc/mtree/BSD.var.dist b/etc/mtree/BSD.var.dist
index 67c7b016a9df..990c23c9abb3 100644
--- a/etc/mtree/BSD.var.dist
+++ b/etc/mtree/BSD.var.dist
@@ -96,6 +96,8 @@
..
..
unbound uname=unbound gname=unbound mode=0755
+ conf.d uname=unbound gname=unbound mode=0755
+ ..
..
yp
..
diff --git a/etc/network.subr b/etc/network.subr
index aa72749c6967..f67622d51efd 100644
--- a/etc/network.subr
+++ b/etc/network.subr
@@ -132,13 +132,6 @@ ifconfig_up()
_cfg=0
fi
- # ifconfig_IF
- ifconfig_args=`ifconfig_getargs $1`
- if [ -n "${ifconfig_args}" ]; then
- eval ${IFCONFIG_CMD} $1 ${ifconfig_args}
- _cfg=0
- fi
-
# inet6 specific
if ! noafif $1 && afexists inet6; then
if checkyesno ipv6_activate_all_interfaces; then
@@ -174,14 +167,24 @@ ifconfig_up()
if [ -n "${_ipv6_opts}" ]; then
${IFCONFIG_CMD} $1 inet6 ${_ipv6_opts}
fi
+ fi
+ # ifconfig_IF
+ ifconfig_args=`ifconfig_getargs $1`
+ if [ -n "${ifconfig_args}" ]; then
+ eval ${IFCONFIG_CMD} $1 ${ifconfig_args}
+ _cfg=0
+ fi
+
+ # inet6 specific
+ if ! noafif $1 && afexists inet6; then
# ifconfig_IF_ipv6
ifconfig_args=`ifconfig_getargs $1 ipv6`
if [ -n "${ifconfig_args}" ]; then
# backward compatibility: inet6 keyword
case "${ifconfig_args}" in
:*|[0-9a-fA-F]*:*)
- warn "\$ifconfig_$1_ipv6 needs " \
+ warn "\$ifconfig_$1_ipv6 needs leading" \
"\"inet6\" keyword for an IPv6 address."
ifconfig_args="inet6 ${ifconfig_args}"
;;
@@ -1037,7 +1040,7 @@ ifalias_af_common_handler()
case $_c in
${_af})
case $_tmpargs in
- ${_af}\ *-*)
+ ${_af}\ *[0-9a-fA-F]-*)
ifalias_af_common_handler $_if $_af $_action \
`ifalias_expand_addr $_af $_action ${_tmpargs#${_af}\ }`
;;
@@ -1055,7 +1058,7 @@ ifalias_af_common_handler()
# Process the last component if any.
if [ -n "$_tmpargs}" ]; then
case $_tmpargs in
- ${_af}\ *-*)
+ ${_af}\ *[0-9a-fA-F]-*)
ifalias_af_common_handler $_if $_af $_action \
`ifalias_expand_addr $_af $_action ${_tmpargs#${_af}\ }`
;;
@@ -1074,7 +1077,7 @@ ifalias_af_common_handler()
ifalias_af_common()
{
local _ret _if _af _action alias ifconfig_args _aliasn _c _tmpargs _iaf
- local _punct=".-/+"
+ local _vif _punct=".-/+"
_ret=1
_aliasn=
@@ -1083,11 +1086,11 @@ ifalias_af_common()
_action=$3
# Normalize $_if before using it in a pattern to list_vars()
- ltr "$_if" "$_punct" "_" _if
+ ltr "$_if" "$_punct" "_" _vif
# ifconfig_IF_aliasN which starts with $_af
- for alias in `list_vars ifconfig_${_if}_alias[0-9]\* |
- sort_lite -nk1.$((9+${#_if}+7))`
+ for alias in `list_vars ifconfig_${_vif}_alias[0-9]\* |
+ sort_lite -nk1.$((9+${#_vif}+7))`
do
eval ifconfig_args=\"\$$alias\"
_iaf=
@@ -1107,7 +1110,7 @@ ifalias_af_common()
;;
inet:alias:"":*)
_aliasn="$_aliasn inet $ifconfig_args"
- warn "\$ifconfig_${_if}_alias${alias} needs " \
+ warn "\$${alias} needs leading" \
"\"inet\" keyword for an IPv4 address."
esac
done
@@ -1115,8 +1118,8 @@ ifalias_af_common()
# backward compatibility: ipv6_ifconfig_IF_aliasN.
case $_af in
inet6)
- for alias in `list_vars ipv6_ifconfig_${_if}_alias[0-9]\* |
- sort_lite -nk1.$((14+${#_if}+7))`
+ for alias in `list_vars ipv6_ifconfig_${_vif}_alias[0-9]\* |
+ sort_lite -nk1.$((14+${#_vif}+7))`
do
eval ifconfig_args=\"\$$alias\"
case ${_action}:"${ifconfig_args}" in
@@ -1125,9 +1128,8 @@ ifalias_af_common()
;;
alias:*)
_aliasn="${_aliasn} inet6 ${ifconfig_args}"
- warn "\$ipv6_ifconfig_${_if}_alias${alias} " \
- "is obsolete. Use ifconfig_$1_aliasN " \
- "instead."
+ warn "\$${alias} is obsolete. " \
+ "Use ifconfig_${_vif}_aliasN instead."
;;
esac
done
diff --git a/etc/newsyslog.conf b/etc/newsyslog.conf
index 9572f84efd1c..ab595cac61db 100644
--- a/etc/newsyslog.conf
+++ b/etc/newsyslog.conf
@@ -38,3 +38,6 @@
/var/log/utx.log 644 3 * @01T05 B
/var/log/weekly.log 640 5 * $W6D0 JN
/var/log/xferlog 600 7 100 * JC
+
+<include> /etc/newsyslog.conf.d/*
+<include> /usr/local/etc/newsyslog.conf.d/*
diff --git a/etc/sendmail/freebsd.mc b/etc/sendmail/freebsd.mc
index 9a9142573a50..7ab7386fa2b4 100644
--- a/etc/sendmail/freebsd.mc
+++ b/etc/sendmail/freebsd.mc
@@ -33,7 +33,6 @@ divert(-1)
# SUCH DAMAGE.
#
-
#
# This is a generic configuration file for FreeBSD 6.X and later systems.
# If you want to customize it, copy it to a name appropriate for your
diff --git a/etc/sendmail/freebsd.submit.mc b/etc/sendmail/freebsd.submit.mc
index fbb036cd63b4..c6ec65553598 100644
--- a/etc/sendmail/freebsd.submit.mc
+++ b/etc/sendmail/freebsd.submit.mc
@@ -9,7 +9,6 @@ divert(-1)
#
#
-
#
# This is the FreeBSD configuration for a set-group-ID sm-msp sendmail
# that acts as a initial mail submission program.
diff --git a/etc/snmpd.config b/etc/snmpd.config
index 86b098994124..98399caa4738 100644
--- a/etc/snmpd.config
+++ b/etc/snmpd.config
@@ -279,6 +279,11 @@ begemotSnmpdModulePath."mibII" = "/usr/lib/snmp_mibII.so"
#begemotNgControlNodeName = "snmpd"
#
+# LM75 Sensor module
+#
+#begemotSnmpdModulePath."lm75" = "/usr/lib/snmp_lm75.so"
+
+#
# pf(4) module
#
#begemotSnmpdModulePath."pf" = "/usr/lib/snmp_pf.so"